"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ElasticsearchQueryBuilderOperatorLesserThanOrEqualToPlugin = void 0;
var _ElasticsearchQueryBuilderOperatorPlugin = require("../definition/ElasticsearchQueryBuilderOperatorPlugin");
class ElasticsearchQueryBuilderOperatorLesserThanOrEqualToPlugin extends _ElasticsearchQueryBuilderOperatorPlugin.ElasticsearchQueryBuilderOperatorPlugin {
  name = "elasticsearch.queryBuilder.operator.lesserThanOrEqualTo.default";
  getOperator() {
    return "lte";
  }
  apply(query, params) {
    const {
      value,
      basePath
    } = params;
    query.filter.push({
      range: {
        [basePath]: {
          lte: value
        }
      }
    });
  }
}
exports.ElasticsearchQueryBuilderOperatorLesserThanOrEqualToPlugin = ElasticsearchQueryBuilderOperatorLesserThanOrEqualToPlugin;

//# sourceMappingURL=lte.js.map