"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.stripConnectionFromException = void 0;
const stripConnectionFromException = ex => {
  if (typeof ex !== "object") {
    return ex;
  }
  if (!ex?.meta?.meta?.connection) {
    return ex;
  }
  return {
    ...ex.meta,
    meta: {
      ...ex.meta.meta,
      connection: null
    }
  };
};
exports.stripConnectionFromException = stripConnectionFromException;

//# sourceMappingURL=stripConnectionFromException.js.map